# Welcome to *GeoCLUSTER*

GeoCLUSTER is a Python-based web application created using Dash, an open-source framework built on top of Flask that streamlines the building of data dashboards. GeoCLUSTER provides users with a collection of interactive methods for streamlining the exploration and visualization of an HDF5 dataset. The interface was designed using simple function calls that operate on the HDF5 dataset with methods including: 1) object construction methods that, first, covert the data to a data class for rapid interpolation and data parsing and, second, collected a suite of computations into a TEA class (packages: *scipy*, *CoolProp*, *h5py*, *numpy*), 2) convenience methods that prload the data upon running the application, and 3) plotting methods driven by interactive callbacks and graphics (packages: *dash*, *plotly*). The intended users of the data tool are reporters who are seeking to adopt the interface’s set scenarios for informational purposes and scientists who are formulating outcomes from the interface’s interactive parameters. Novel aspects of the data tool include: 1) toggling between the heat-exchanger designs, working fluids, and end-use, 2) optimization of power output and economic competitiveness accessed via scenario buttons and easy-to-use sliders, and 3) the capability to deploy interactive and simultaneous visualizations. For example, interactive visualizations display subsurface and economic results linearly over time, contour representations between a parameter and mass flow rate, and summary tables of fixed and interactive parameter values and their results. Summary tables and results can be downloaded into a multi-tabbed Excel file. GeCLUSTER represents the extensive collection of data formatting, processing, and visualization created by the Closed-Loop Geothermal Working Group (CLGWG). CLGWG was a collaborative study involving teams of scientists and engineers from four national laboratories (i.e., Idaho National Laboratory (INL), National Renewable Energy Laboratory (NREL), Sandia National Laboratories (SNL), and Pacific Northwest National Laboratory (PNNL)), plus expert panel members.